package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.SiteRepository;
import com.realnet.vpspack.Entity.Site
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


















	import org.springframework.stereotype.Service;

@Service
 public class SiteService {
@Autowired
private SiteRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

















public Site Savedata(Site data) {


















	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Site save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Site> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Site> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Site> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Site getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Site update(Site data,Integer id) {
	Site old = Repository.findById(id).get();
old.setName(data.getName());

old.setIsdefault (data.isIsdefault());

old.setEnable (data.isEnable());

old.setHost(data.getHost());

old.setRelative_path(data.getRelative_path());

old.setLocal(data.getLocal());

old.setEnable_form(data.getEnable_form());

old.setEnable_to(data.getEnable_to());

 

final Site test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


















 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
